GEOS: geos::noding::BasicSegmentString Class Reference

Public Member Functions

# geos::noding::BasicSegmentString Class Reference

`#include <BasicSegmentString.h>`

Inheritance diagram for geos::noding::BasicSegmentString:

List of all members.

## Public Member Functions
| BasicSegmentString (geom::CoordinateSequence *newPts, const void *newContext)
| Construct a BasicSegmentString.
virtual unsigned int | size () const
| see dox in SegmentString.h
virtual const geom::Coordinate & | getCoordinate (unsigned int i) const
| see dox in SegmentString.h
virtual geom::CoordinateSequence * | getCoordinates () const
| see dox in SegmentString.h
virtual bool | isClosed () const
| see dox in SegmentString.h
virtual std::ostream & | print (std::ostream &os) const
| see dox in SegmentString.h
int | getSegmentOctant (unsigned int index) const
| Gets the octant of the segment starting at vertex index.

## Detailed Description

Represents a list of contiguous line segments, and supports noding the segments. The line segments are represented by an array of Coordinates. Intended to optimize the noding of contiguous segments by reducing the number of allocated objects. SegmentStrings can carry a context object, which is useful for preserving topological or parentage information. All noded substrings are initialized with the same context object.

## Constructor & Destructor Documentation

geos::noding::BasicSegmentString::BasicSegmentString | ( | geom::CoordinateSequence * | newPts,
|  | const void * | newContext
| ) |  | `[inline]`

Construct a BasicSegmentString.

Parameters:

  newPts | CoordinateSequence representing the string, externally owned
  newContext | the context associated to this SegmentString

## Member Function Documentation

int geos::noding::BasicSegmentString::getSegmentOctant | ( | unsigned int | index ) | const

Gets the octant of the segment starting at vertex index.

Parameters:

  index | the index of the vertex starting the segment. Must not be the last index in the vertex list

Returns:
  the octant of the segment at the vertex

The documentation for this class was generated from the following file:

- BasicSegmentString.h